Babytrans, o Babylon for Linux

Já imaginou ter um software tradutor, onde basta selecionar a palavra a ser traduzida para que isto ocorra? Pois é isto que este tutorial se propõe a fazer utilizando o programa Babytrans.

[ Hits: 85.060 ]

Por: Alessandro de Oliveira Faria (A.K.A. CABELO) em 15/03/2004 | Blog: http://assuntonerd.com.br


Introdução



Já imaginou ter um software tradutor, onde basta selecionar a palavra a ser traduzida para que isto ocorra? Pois é, isto que este tutorial se propõe a fazer utilizando o programa Babytrans.


O programa Babytrans é um tradutor semelhante ao Babylon. Com este programa podemos obter a tradução automática após uma simples seleção de texto. Antes de começarmos devemos estar atento a biblioteca GTK. Para instalar esta biblioteca, consulte a sua documentação

    Próxima página

Páginas do artigo
   1. Introdução
   2. O download
   3. O descompactando e compilando
   4. Configurando o dicionário
Outros artigos deste autor

Torne o seu servidor um mirror de atualização do Antivírus AVG (revisão)

Acessibilidade: Movimentos do mouse com a face (eViacam)

Criando aplicativos para o Mac OS X no GNU/Linux

Transforme seu celular em terminal sem fio SSH/Telnet

Instalando o Android SDK na plataforma Linux

Leitura recomendada

Logstash + Redis + Elasticsearch + Kibana - Gerenciando logs

Tunning do KDM theme

Interface Gráfica e Ambiente Integrado p/ Free Pascal

O primeiro FISL ninguém esquece!

Virtualizando com VirtualBox

  
Comentários
[1] Comentário enviado por redhate em 16/03/2004 - 00:12h

deu o seguinte erro na minha compilacao...
make[2]: Entering directory `/usr/local/install/babytrans-0.9.1/src'
c++ -DHAVE_CONFIG_H -I. -I. -I.. -O2 -I.. -I.. -DLOCALEDIR="\"/usr/local/share/locale\"" -DDATADIR="\"/usr/local/share\"" -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/glib-1.2 -I/usr/lib/glib/include -c main.cc
main.cc: In function `void app_translate_word(const std::string&)':
main.cc:857: error: `assert' undeclared (first use this function)
main.cc:857: error: (Each undeclared identifier is reported only once for each
function it appears in.)
make[2]: *** [main.o] Error 1
make[2]: Leaving directory `/usr/local/install/babytrans-0.9.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/install/babytrans-0.9.1'
make: *** [all-recursive-am] Error 2
..... alguma ideia do que seja? meu configure rodou direitinho ;-))

[2] Comentário enviado por fabio em 16/03/2004 - 01:43h

Luiz,

Tive o mesmo problema que você para compilar o Babytrans no Debian, porém contornei a situação da seguinte maneira:

Edite o arquivo src/main.cc e adicione a seguinte linha na sessão de includes:

# include <assert.h>

Veja como ficou o meu:

...
#ifdef HAVE_CONFIG_H
# include <config.h>
#else
# error "corrupted configuration"
#endif

#include <iostream>
#include <string>
#include <map>
#include <clocale>
#include "fred_sstream"
#include <assert.h>
...

Espero que ajude!

[]'s

[3] Comentário enviado por JuNiOx em 16/03/2004 - 02:18h

ae cara, aqui funcionou perfeito... (slack 9.0)

muito útil esse programa...

valew

[4] Comentário enviado por fabio em 16/03/2004 - 02:22h

E aí Cabelo,

Não te falei que o programa era das antigas, veja o que encontrei:
http://www.google.com.br/search?q=cache:pEyLb_Ft8GQJ:linux-br.conectiva.com.br/arquivo/2001/11/msg03...
:)

[5] Comentário enviado por anunakin em 16/03/2004 - 09:11h

Adorei, vou correndo instalar!

[6] Comentário enviado por erasmo em 16/03/2004 - 10:30h

deu um erro no final do configure...
checking for GLIB - vesion >= 1.2.0... no
*** The GLIB was installed in PREFIX, mke sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
configure: error: *** GLIB >= 1.2.0 not installed - please install first ***

como eu instalo e configuro esta GLIB?!

obrigado,

erasmo

[7] Comentário enviado por tucs em 16/03/2004 - 11:12h

Estou usando o Slack 9.1 com o kernel 2.6.4 e naum tive problemas a naum ser para baixar o dicionario que por wget naum baixo e entri na pagina e baixei 1 por 1

Muito bom esse artigo, agora usarei sempre.

Abracos

tucs

[8] Comentário enviado por anunakin em 16/03/2004 - 14:00h

Tbm to com Slack 9.1 e kernel 2.6.4, instalei normalmente!

Soh não consegui usar os dicionários do Babylon, creio que eles alteraram o formato!

[9] Comentário enviado por fabio em 16/03/2004 - 15:45h

Erasmo, você precisa instalar o pacote libglib1.2-dev.

[]'s

[10] Comentário enviado por DarkInner7 em 17/03/2004 - 17:50h

ERASMO,

Primeiro de uma olhada no seu path para verificar se realmente é apenas ele o problema, escreve o seguinte
$ echo $PATH

Se o diretorio onde contem a glib, não estiver no path, vc descobriu parte do problema, pode ser que alem do path a glib tambem não esteja instalado, neste caso instale-a dando apt-get install libglib1.2 ou se sua distro for outra pode pegar pelo rpm, ou source.

[]'s
DarkInner7

[11] Comentário enviado por redhate em 17/03/2004 - 19:53h

Fabio,
blz aki deu certo agora ;-))

Luiz

[12] Comentário enviado por DarkInner7 em 18/03/2004 - 01:14h

Eu faço uma coisa bem legal tambem, embora dependa da internet, uso o browser Galeon, o Galeon tem um recurso de Smart Bookmark, onde caso eu tenha uma página de procura, ele me pergunta qual o valor da query (o endereço da parte de procura) e tambem me possibilita que coloque um icone para identificar o bookmark, esse bookmar fica parecendo como um botao do browser comum ( e nao junto com os outros bookmarks) e tambem em um painel. Quando clico no botao, ele ao lado me apresenta a caixa de dialogo para que seja escrita a palavra ou qualquer coisa a ser procurada.
Do site do babylon eu pego o campo que faz e coloco lá, funciona muito bem, tambem (quando o site não esta fora do ar)

[]'s
DarkInner7

[13] Comentário enviado por peace em 18/03/2004 - 21:58h

Uma das coisas que deparei-me esses dias foi com o babylon pro windows que achei muito bom e uso no meu trabalho (infelizmente ainda não temos linux por lá ! hehe).
Agora tenho mais um problema resolvido.
Tem coisas, que só o software livre faz pra você

[14] Comentário enviado por palin em 02/04/2004 - 18:48h

Ao instalar o babytrans no Red Hat 9.0 ou Fedora Core 1.0 verifique se a acentuação está correta. Caso não esteja aparecerá o seguinte erro ao tentar executar o babytrans:
/usr/local/share/babytrans//dictionary:13:syntax error

Para fazer a correção da acentuação no RH ou Fedora:
Edite o arquivo /etc/sysconfig/i18n e troque pt_br.UTF8 para pt_br somente. Não esqueça de reiniciar o X para efetuar as alterações (ctrl+alt+backspace - atenção: antes de executar este comando salve seus arquivos).

Agora você poderá executar o babytrans tranquilamente.
Espero ter ajudado.

Abraços, Marcelo Palin.

[15] Comentário enviado por claudio_65 em 11/05/2004 - 15:10h

Boa tarde.

Parabéns, antes de mais nada, pelo ótimo artigo!

Estou começando a estudar o Linux e ao procurar por um tradutor, vi o seu artigo.

Segui os passos e mesmo tendo alguma dificuldade com o GLIB, passei sem precisar pedir socorro.

Entretanto, quando passei ao passo 4 ( configurando o dicionário ) executei o comando " [root@localhost root]#
wget ftp://ftp.ac-grenoble.fr/ge/languages/babylon_dict/english.dic.gz
" mas as mensagens de retorno foram as seguintes:


--14:35:20-- ftp://ftp.ac-grenoble.fr/ge/languages/babylon_dict/english.dic.gz
=> `english.dic.gz'
Resolving ftp.ac-grenoble.fr... done.
Connecting to ftp.ac-grenoble.fr[193.54.149.12]:21... connected.
Logging in as anonymous ...
Error in server response, closing control connection.
Retrying.

--14:45:32-- ftp://ftp.ac-grenoble.fr/ge/languages/babylon_dict/english.dic.gz
(try: 2) => `english.dic.gz'
Connecting to ftp.ac-grenoble.fr[193.54.149.12]:21... connected.
Logging in as anonymous ...
Error in server response, closing control connection.
Retrying.

--14:55:45-- ftp://ftp.ac-grenoble.fr/ge/languages/babylon_dict/english.dic.gz
(try: 3) => `english.dic.gz'
Connecting to ftp.ac-grenoble.fr[193.54.149.12]:21... connected.
Logging in as anonymous ...
Error in server response, closing control connection.
Retrying.

--15:05:59-- ftp://ftp.ac-grenoble.fr/ge/languages/babylon_dict/english.dic.gz
(try: 4) => `english.dic.gz'
Connecting to ftp.ac-grenoble.fr[193.54.149.12]:21... connected.
Logging in as anonymous ...
[root@localhost root]#

Sem abusar de sua boa vontade, poderia me dar alguma dica sorbe como transpor este problema?

Atenciosamente,

Cláudio Baptista.

[16] Comentário enviado por tibola em 04/08/2004 - 10:33h

Cabelo,
Encontrei problemas na compilação e segui os passos do #include <assert.h>, fui para a seção Configurando o dicionário e realizei as ações indicadas, mas ao executar babytrans, recebo a seguinte mensagem:

[tibola@calisto tibola]$ babytrans
Nenhum dicionário definido (Verifique sua configuração ou reinstale)

O que pode estar faltando?

Tibola


[17] Comentário enviado por wdsouza1 em 22/09/2004 - 20:20h

desculpem a ignorancia mas como saber qual o diretorio da glib e como inseri-la no path?

[18] Comentário enviado por adrianoc em 27/01/2005 - 13:04h

depois passando horas tentando compilar e acabei desistindo pq agarrei na GLIB.
como uso o debian, kalango, mudei o meu source list e consegui encontrar o babytrans nos mirrors do debian. minha instalação ficou assim:
apt-get install babytrans babytrans-common babytrans-dic-engtofre
baixe e descompactei para /usr/lib/babytrans, EngtoPor.dic.gz english.dic.gz dictionary.gz, como indicado aqui.
mudei o nome do dicionário EngtoPor.dic para EngtoPtg.dic
depois que iniciei o babytrans mudei o dicionário em "Preferências" para português.
Pimba ... tá funfando legal.


[19] Comentário enviado por adrianoc em 27/01/2005 - 13:07h

esqueci de dizer ...

no config do babytrans em /home/usuario/.babytrans/config
tem que ficar assim:
toolbar_style = both
language = pt
auto = true
auto_raise = false

observerm que language tem que pt e não po.

[20] Comentário enviado por fdavid em 30/01/2005 - 18:53h

http://stardict.sourceforge.net/
Eh outra opção e facil de instalar e funciona muito bem, o unico problema q estou tentando resolve e a pobreza dos dicionarios.

O mais legal eh que quando vc seleciona a palavra ele já da um box com a tradução.

Em www.linuxpackages.net tem o pacote já compilado e com dicionario Eng-To-Pt prontinho.

[21] Comentário enviado por redleh em 09/11/2005 - 01:22h

Estou usando o Ubuntu 5.01 e fiz tudo certo! :) tudo parecia ter corrido bem até que tento chamar o programa:

# babytrans

Mas nada acontece! engraçado que nem como root nem como usuario, é como se o programa não abrisse (ele não dá nenhuma mensagem de erro! Alguem pode ter alguma idéia?

----

Nota que quando coloco como linguagem padrão do tradutor pt ao invez de po como solicitado ele avisa do erro, mas assim que aperto OK ele desaparece! :(

Sinal que o programa está rolando, mas nao ta abrindo total... será alguma incompatibilidade?

[22] Comentário enviado por removido em 24/12/2005 - 19:27h

Nossa cara!! Eu procurava um programa como esse a mto tempo!! Muito boa a dica, comigo funcionou belezinha.

Obrigado!

[23] Comentário enviado por removido em 28/03/2006 - 09:09h

Para os interessados que chegaram até aqui, aí vai o link para a página onde poderão encontrar DEZ dicionários para o Babylon:

ftp://ftp.ac-grenoble.fr/ge/languages/babylon_dict/

Boa sorte a todos com a instação. Ainda estou tentando corrigir alguns probleminhas :-)

[24] Comentário enviado por juliaojunior em 11/05/2006 - 17:10h

nao consegui quase nada do que vc falou, amigo.

[25] Comentário enviado por removido em 24/06/2006 - 13:19h

Pessoal, como aconteceu o mesmo erro do erasmo comigo, no entanto eu tenho o pacote libglib1.2 e 2.0 intalados.
Eu acredito que seja algo com o PATH mesmo.
O que devo fazer no PATH???
Abracos!

[26] Comentário enviado por usr_share_love em 11/07/2006 - 18:21h

Olá CAbelo! Eu praticamente só usava o windows por causa do Babylon... Só que não estou conseguindo instalar... A Minha distribuição é Debian, e não estou conseguindo instalar o babytrans por causa da biblioteca GTK. Já tentei instalar através do synaptic mas sempre dá esse erro:
...
checking how compiler handle std namespace... as expected by a good C++ compiler :)
checking if C++ library include stringstream... yes
checking for glib-config... /usr/bin/glib-config
checking for GLIB - version >= 1.2.0... yes
checking for gtk-config... no
checking for GTK - version >= 1.2.0... no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
configure: error: *** GTK+ >= 1.2.0 not installed - please install first ***

Obg pela ajuda! :)

[27] Comentário enviado por anunakin em 11/07/2006 - 19:15h

instale o pacote gtk-devel que vai....

[28] Comentário enviado por glaudiston em 21/09/2006 - 12:35h

Pra quem, assim como eu, não pode acessar ftp, encontrei os dicionários aqui: http://gda.utp.edu.co/pub/babylon/Linux/

[29] Comentário enviado por Anunakin em 21/09/2006 - 12:42h

O site atual agora é esse:
http://fjolliton.free.fr/

[30] Comentário enviado por glaudiston em 08/10/2006 - 08:52h

Eu crei um pacote com todos os dicionários e um script q faz esta configuração padrão para o pt-br...
ainda estou esperando aprovação do linuxpackages.net... mas se alguém quiser pegar ele, pode ir direto onde eu hospedei temporariamente:
http://feiradenegocios.com/downloads/babytrans-0.9.1-i686-1Ton.tgz
testei bem e ele funcionou... qualquer problema me informem.

[31] Comentário enviado por glaudiston em 11/10/2006 - 19:38h

bom pessoal... eu recebi um email do linuxpackages.net e tive q fazer algumas alterações pra eles aceitarem o tgz q eu fiz...
sendo assim a url q eu citei acima não existe mais... logo deve estar disponível no linuxpackages.net para a versão 10.2 do slackware.
por hora quem quiser pode pegar neste endereço:
http://feiradenegocios.com/downloads/babytrans-0.9.1-i686-1ton.tgz
ele instala todos os dicionários e configura tudo o necessário sozinho

[32] Comentário enviado por juliaojunior em 24/10/2006 - 13:54h

kara, o wget não encontra o arquivo dictionary.gz!!

[33] Comentário enviado por carlaodopao em 28/12/2006 - 11:50h

Erro:

Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified


Gtk-WARNING **: cannot open display: :0.0

What i do???

[34] Comentário enviado por magnus em 25/01/2007 - 16:25h

Pra quem está com problemas com o glib siga a dica do adrianoc:
apt-get install babytrans
depois faça as modificações restantes e pronto.

[35] Comentário enviado por V_Style em 02/04/2007 - 13:44h

Estou Usando Fedora Core 6 e tive quse todos os problemas acima.

problemas com gtk+:
1) yum install gtk+
2) yum install gtk+-devel

instalei o gcc e glib
1)yum install gcc

problema de nao achar o dicionario "dictionary.gz"
entrei em ftp://ftp.ac-grenoble.fr/ge/languages/babylon_dict/ e peguei o "dictionary", que nao tem .gz como terminação.

também editei o scr/main do babytrans como o Fabio falou acima...
...# include <assert.h>.


também editei o "i18n" como o Palin falou acima!

Só um detalhe pra qum nao conhece o editor de texto vi, o arquivo .babylon eu criei com "mkdir" em /root e depois aplquei vi /root/.babytrans/config.
Ai apertei "i" para inserir o texto
depois copiei e colei o que ta escrito no quadro.
Depois vc aperta esc, para voltar ao modo de comando do vi
Depois aperta (aperta é bão!) ":" para ir na última linha do texto
depois digita wq, que é o comando para gravar o arquivo quando vc apertar "enter"

Pra um start no "PATH" e o edior de texto "vi"
entre em http://apostilando.com/pagina.php?cod=1
aqui tem uma apostilinha de 89 paginas que da pra ler por partes de interesse.
Fala do Bash e como configurar o PATH. Jogo rapido



[36] Comentário enviado por V_Style em 02/04/2007 - 13:47h

Galera, como faço pra aumentar os dicionarios? Tem como turbinar o Babytrans?
Gostaria do dicionario de Francês Portugues e vive versa
Obrigado


[37] Comentário enviado por rodolfocoutinho em 25/01/2008 - 11:29h

Muito bom este artigo. Faz algum tempo que eu buscava algum tradutor para linux.

[38] Comentário enviado por removido em 30/04/2008 - 16:38h

depois de digitar o comando

"vi /root/.babytrans/config "

inserir o texto

toolbar_style = both
language = po
auto = true
auto_raise = false

clicar em "Esc", clicar ":" digitar "wq" e apertar a tecla "Enter" surge a seguinte mensagem

"~/.babytrans/config"
"~/.babytrans/config" E212: Can't open file for writing
Press ENTER or type command to continue

Depois que aperto "Enter" novamente ou qualquer outra tecla volta a editar o texto

toolbar_style = both
language = po
auto = true
auto_raise = false

O que devo fazer?

Obrigado

breno

[39] Comentário enviado por danielsepulvida em 31/10/2009 - 08:40h

Pessoal, não estou conseguindo compilar o babytrans.
Eu utilizo o Debian 5 testing.
Dando o seguinte erro:

checking for glib-config... no
checking for GLIB - version >= 1.2.0... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
configure: error: *** GLIB >= 1.2.0 not installed - please install first ***

Já tentei localizar o glib-config, porém não existe.
Só para complementar, segue as glib instaladas na minha máquina:

i A libavahi-glib1 - biblioteca de integração Avahi glib
p libcglib-java - code generation library for Java
p libcglib-java-doc - code generation library for Java - documentation
v libcglib2.1-java -
i A libdbus-glib-1-2 - sistema de mensagens inter-processo simples (bib. comp. baseada em GLib)
i libdbus-glib-1-2-dbg - simple interprocess messaging system (GLib library debug symbols)
i libdbus-glib-1-dev - sistema de mensagens inter-processo simples (interface GLib)
p libdbus-glib-1-doc - simple interprocess messaging system (GLib library documentation)
p libfso-glib-dbg - debugging symbols for use with libfso-glib
p libfso-glib-dev - Development files for libfso-glib
p libfso-glib0 - freesmartphone.org GLib-based DBus bindings
p libghc6-glib-dev - A GUI library for Haskell (Gtk2Hs) -- GLib bindings
i A libglib-perl - interface Perl para as bibliotecas GLib e GObject
p libglib2-ruby - Glib 2 bindings for the Ruby language
p libglib2-ruby1.8 - Glib 2 bindings for the Ruby language
p libglib2-ruby1.8-dbg - Glib 2 bindings for the Ruby language
i A libglib2.0-0 - A biblioteca GLib de rotinas C
i libglib2.0-0-dbg - The GLib libraries and debugging symbols
i libglib2.0-0-refdbg - The GLib library of C routines - refdbg library
p libglib2.0-cil - CLI binding for the GLib utility library 2.12
i A libglib2.0-data - Common files for GLib library
i A libglib2.0-dev - Development files for the GLib library
i A libglib2.0-doc - Documentation files for the GLib library
i A libglibmm-2.4-1c2a - invólucro C++ para o kit de ferramentas GLib (bibliotecas compartilhadas)

No aguardo,

Daniel Sepulvida



[40] Comentário enviado por Urbano em 03/02/2010 - 15:37h

Oi pessoal,

Deu um erro na minha compilacao que nao consigo resolver:
Eu utilizo o Fedora 10, se alguem puder me ajudar ...

# make
make all-recursive
make[1]: Entering directory `/install/babytrans-0.9.1'
Making all in po
make[2]: Entering directory `/install/babytrans-0.9.1/po'
make[2]: Leaving directory `/install/babytrans-0.9.1/po'
Making all in intl
make[2]: Entering directory `/install/babytrans-0.9.1/intl'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/install/babytrans-0.9.1/intl'
Making all in src
make[2]: Entering directory `/install/babytrans-0.9.1/src'
c++ -DHAVE_CONFIG_H -I. -I. -I.. -O2 -I.. -I.. -DLOCALEDIR="\"/usr/local/share/locale\"" -DDATADIR="\"/usr/local/share\"" -I/usr/local/lib/glib/include -I/usr/local/include -I/usr/local/lib/glib/include -I/usr/local/include -c main.cc
In file included from all_pixmaps.h:10,
from main.cc:71:
Wrong.xpm:77: warning: deprecated conversion from string constant to ‘char*’
................................
main.cc:144: warning: non-local variable ‘<anonymous struct> gui_setup_radio_desc []’ uses anonymous type
main.cc: In function ‘GdkColor* new_color(int, int, int)’:
main.cc:239: error: ‘malloc’ was not declared in this scope
main.cc: In function ‘std::string getenv_string(const std::string&)’:
main.cc:264: error: ‘getenv’ was not declared in this scope
main.cc: In function ‘std::string getenv_string(const char*)’:
main.cc:273: error: ‘getenv’ was not declared in this scope
main.cc: At global scope:
main.cc:309: warning: non-local variable ‘<anonymous struct> toolbar_desc []’ uses anonymous type
main.cc: In function ‘bool app_load_preferences(const std::string&)’:
main.cc:523: error: ‘strerror’ was not declared in this scope
main.cc: In function ‘bool app_load_dictionary_list(const std::string&)’:
main.cc:609: error: ‘strerror’ was not declared in this scope
main.cc: At global scope:
main.cc:663: warning: deprecated conversion from string constant to ‘char*’
main.cc:663: warning: deprecated conversion from string constant to ‘char*’
.............................
main.cc: In function ‘int main(int, char**)’:
main.cc:1581: error: ‘EXIT_SUCCESS’ was not declared in this scope
main.cc:1581: error: ‘EXIT_FAILURE’ was not declared in this scope
main.cc:1594: error: ‘EXIT_FAILURE’ was not declared in this scope
main.cc:1601: error: ‘EXIT_FAILURE’ was not declared in this scope
main.cc:1623: error: ‘free’ was not declared in this scope
make[2]: *** [main.o] Error 1
make[2]: Leaving directory `/install/babytrans-0.9.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/install/babytrans-0.9.1'
make: *** [all-recursive-am] Error 2

O que fazer, eu tenho os gcc e c++ ultima versao

Obrigado

[41] Comentário enviado por Urbano em 06/02/2010 - 14:43h

Oi ...

O meu erro agora esta assim:

[root@localhost babytrans-0.9.2]# make
make all-recursive
make[1]: Entering directory `/install/babytrans-0.9.2'
Making all in po
make[2]: Entering directory `/install/babytrans-0.9.2/po'
make[2]: Leaving directory `/install/babytrans-0.9.2/po'
Making all in intl
make[2]: Entering directory `/install/babytrans-0.9.2/intl'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/install/babytrans-0.9.2/intl'
Making all in src
make[2]: Entering directory `/install/babytrans-0.9.2/src'
c++ -DHAVE_CONFIG_H -I. -I. -I.. -O2 -Wall -I.. -I.. -DLOCALEDIR="\"/usr/local/share/locale\"" -DDATADIR="\"/usr/local/share\"" -I/usr/local/lib/glib/include -I/usr/local/include -I/usr/local/lib/glib/include -I/usr/local/include -c main.cc
main.cc: In function ‘std::string<unnamed>::getenvString(const std::string&)’:
main.cc:113: error: ‘getenv’ was not declared in this scope
main.cc: In function ‘bool<unnamed>::loadPreferences(const std::string&)’:
main.cc:260: error: ‘strerror’ was not declared in this scope
main.cc: In function ‘bool<unnamed>::loadDictionaryList(const std::string&)’:
main.cc:329: error: ‘strerror’ was not declared in this scope
main.cc: In function ‘int main(int, char**)’:
main.cc:667: error: ‘EXIT_SUCCESS’ was not declared in this scope
main.cc:667: error: ‘EXIT_FAILURE’ was not declared in this scope
main.cc:676: error: ‘EXIT_FAILURE’ was not declared in this scope
main.cc:686: error: ‘EXIT_FAILURE’ was not declared in this scope
make[2]: *** [main.o] Error 1
make[2]: Leaving directory `/install/babytrans-0.9.2/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/install/babytrans-0.9.2'
make: *** [all-recursive-am] Error 2

Alguem poderia me ajudar a resolver ...

Agradeco.


[42] Comentário enviado por listeiro_037 em 01/05/2012 - 23:30h

Os comandos abaixo já não funcionam porque o diretório não existe mais nesse endereço de ftp:



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts